From de563833b10807489bff9e5493d0972e9bfc76eb Mon Sep 17 00:00:00 2001
From: Tomas Janousek <tomi@nomi.cz>
Date: Thu, 17 May 2007 17:43:32 +0200
Subject: [PATCH] Fix MinOverlapPlacement with external tabs

We just need to add xOffset and yOffset to the place position.

Signed-off-by: Tomas Janousek <tomi@nomi.cz>
---
 src/MinOverlapPlacement.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/MinOverlapPlacement.cc b/src/MinOverlapPlacement.cc
index 121109f..1ace23a 100644
--- a/src/MinOverlapPlacement.cc
+++ b/src/MinOverlapPlacement.cc
@@ -175,8 +175,8 @@ bool MinOverlapPlacement::placeWindow(
     }
 
     // place window
-    place_x = min_reg->x;
-    place_y = min_reg->y;
+    place_x = min_reg->x + win.xOffset();
+    place_y = min_reg->y + win.yOffset();
 
     return true;
 }
-- 
1.5.1.4

